#!/usr/bin/perl
if($#ARGV + 1 != 2)
{
	print "Given a basename and unit identifiers, create a .pdb.h file for each \"unit-basename.pdb\"\n";
	print "\nUsage: addhydrogens.pl basename chains ...\n";
}
else
{
	$basename = $ARGV[0];
	@chains = split(/,/,$ARGV[1]);

	for $chain(@chains)
	{
		$filename = "$chain-$basename.pdb";
		print "$filename\n";
		$prefix = "$chain-$basename";
	
		`./hbplus -o $filename ; ./modify_hbplus $prefix.h $prefix.pdb.h ; rm $prefix.h $prefix.hb2`;
	}
}
